% Code by Kameron Conforti, 6/23/2015
function [iTot,dPhi_pol]=currentEval2(Pe,d,dPhi,n)
R=8.314; %J/mol-k
T=298.15; %K, Room temperature
z_e=1; %charge
F=96485; %faraday's constant, C/mol
L = 0.04; %meters, length of channel
B = L/d; %beta
c0=2.50e3; %initial conc. mol/m3
D=1.60708e-09; %m2/s diffusivity
R_mem = 0;%resistance from membranes set to zero, Ohm-cm2
R_x=0.055555556;%, Ohm-m

jLim = @(x) (0.98*c0*z_e*D*F/d)*(Pe/(B*x))^(1/3); %From Braff et. al. JECS paper 2013
options = optimset('Display','off');
y=linspace(0,1,n);
iys=zeros(n,1);%current density, A/m2
dPhi_pol=zeros(n,1);
for index=1:n
    iys(index)=fsolve(@(iySolve) (dPhi+2*(R*T)/(z_e*F)*log(1-iySolve/jLim(y(index)))-iySolve*(R_x*d+R_mem))/dPhi, 0, options);
end
iTot=simpsonsRule(iys,0,L)*L; %integrate to find total current
for index=1:n
    dPhi_pol(index)=-(R*T)/(z_e*F)*log(1-iys(index)/jLim(y(index))); %find the concentration polarization component of the voltage drop due to the solved current profile
end
end