%Code by Kameron Conforti, 6/23/2015
function fullParamSpace3()
clc
n=101;% resolution
L=0.04;%width of channel; m
D=1.60708e-9;%diffusivity; m2/s
d=[0.5,2,3.5]*10^-3;%height of channel; m
flowRate=[400,300,200,100,75,50,25]/(10^6*60);%flowrate; m3/s
Pe=flowRate/(D*L);%Peclet number
iTarget=[0.1,0.2,0.3,0.5,1,2];%applied current
ld=length(d);
lPe=length(Pe);
lI=length(iTarget);
%Preallocate for speed
dPhi=zeros(lPe,lI,ld);
dPhi_pol=zeros(n,lI,lPe,ld);
%span the entire design space and calculate the deltaPhi and deltaPhi due to polarization
RcpN=zeros(lPe,lI,ld);
dPhi_pol_avg=zeros(lPe,lI,ld);
for id=1:ld
    for iPe=1:lPe
        for iI=1:lI
            [tempDPhi,tempDPhi_pol] = currSolver2(iTarget(iI),Pe(iPe),d(id),n);
            if isreal(tempDPhi)
                dPhi(iPe,iI,id)=tempDPhi;
                dPhi_pol(:,iI,iPe,id)=tempDPhi_pol;
                dPhi_pol_avg(iPe,iI,id)=mean(tempDPhi_pol);
            else
                dPhi(iPe,iI,id)=-1;
                dPhi_pol(:,iI,iPe,id)=-1;
                dPhi_pol_avg(iPe,iI,id)=dPhi_pol_avg(iPe,iI-1,id);
            end
        RcpN(iPe,iI,id)=dPhi_pol_avg(iPe,iI,id)./iTarget(iI);    
        end
        %xlswrite(horzcat('2x Polarization Induced Voltage Drops n is ', num2str(n),' no membrane.xlsx'),dPhi_pol(:,:,iPe,id), horzcat('d = ',num2str(d(id)),', Pe = ', num2str(Pe(iPe))),'B2');
    end
    %xlswrite(horzcat('2x Pol Total Voltage Drops n is ', num2str(n),' no membrane.xls'),dPhi(:,:,id), horzcat('d = ',num2str(d(id))),'B2');
end
save('RcpN_MIT','RcpN')
end
